# Required Items

### OX Inventory

#### Weapon

{% hint style="info" %}
If you are using OX Inventory to add the required weapon ⇒ **`ox_inventory/data/weapons.lua`**
{% endhint %}

```lua
['WEAPON_HACKINGDEVICE'] = {
    label = 'Hacking Device',
    weight = 1000,
    durability = 0.0,
},
```

#### Items

{% hint style="info" %}
If you are using OX Inventory to add the required item ⇒ **`ox_inventory/data/items.lua`**
{% endhint %}

```lua
["houserobbery_bag"] = {
    label = "Heist Bag",
    weight = 500,
    stack = false,
    close = true,
},

["houserobbery_tablet"] = {
    label = "House Robbery Tablet",
    weight = 500,
    stack = false,
    close = true,
},

["wine"] = {
    label = "Wine",
    weight = 300,
    stack = true,
    close = false,
},

["whiskey"] = {
    label = "Whiskey",
    weight = 500,
    stack = true,
    close = true,
},

["weed_ak47"] = {
    label = "AK47 2g",
    weight = 200,
    stack = true,
    close = false,
},

["cokebaggy"] = {
    label = "Bag of Coke",
    weight = 0,
    stack = true,
    close = true,
},

["meth"] = {
    label = "Meth",
    weight = 100,
    stack = true,
    close = true,
},

["rolex"] = {
    label = "Golden Watch",
    weight = 1500,
    stack = true,
    close = true,
},

["diamond_ring"] = {
    label = "Diamond Ring",
    weight = 1500,
    stack = true,
    close = true,
},

["goldchain"] = {
    label = "Golden Chain",
    weight = 1500,
    stack = true,
    close = true,
},

["tenkgoldchain"] = {
    label = "10k Gold Chain",
    weight = 2000,
    stack = true,
    close = true,
},

["goldbar"] = {
    label = "Gold Bar",
    weight = 7000,
    stack = true,
    close = true,
},

["iphone"] = {
    label = "iPhone",
    weight = 1000,
    stack = true,
    close = true,
},

["samsungphone"] = {
    label = "Samsung S10",
    weight = 1000,
    stack = true,
    close = true,
},

["laptop"] = {
    label = "Laptop",
    weight = 4000,
    stack = true,
    close = true,
},

["tablet"] = {
    label = "Tablet",
    weight = 2000,
    stack = true,
    close = true,
},

["smartwatch"] = {
    label = "Smart Watch",
    weight = 2000,
    stack = true,
    close = true,
},

["plastic"] = {
    label = "Plastic",
    weight = 100,
    stack = true,
    close = true,
},

["weed_skunk"] = {
    label = "Weed Skunk",
    weight = 100,
    stack = true,
    close = true,
},

["cryptostick"] = {
    label = "Cryptostick",
    weight = 100,
    stack = true,
    close = true,
},

["tosti"] = {
    label = "Tosti",
    weight = 100,
    stack = true,
    close = true,
},

["sandwich"] = {
    label = "Sandwich",
    weight = 100,
    stack = true,
    close = true,
},
```

### QBCore / QBox

#### Weapon

{% hint style="info" %}
If you are using QBCore || QBox to add the required weapon ⇒ `qb-core/shared/weapons.lua || qbx_core/shared/weapons.lua`
{% endhint %}

```lua
[`weapon_hackingdevice`]             = { name = 'weapon_hackingdevice', label = 'Hacking Device', weapontype = 'Melee', ammotype = nil, damagereason = 'Melee Killed / Whacked / Executed / Beat down / Musrdered / Battered / Candy Caned' },
```

#### Items

{% hint style="info" %}
If you are using QBCore || QBox to add the required item ⇒ `qb-core/shared/items.lua || qbx_core/shared/items.lua`
{% endhint %}

{% code fullWidth="false" %}

```lua
weapon_hackingdevice         = { name = 'weapon_hackingdevice', label = 'Hacking Device', weight = 1000, type = 'weapon', ammotype = nil, image = 'weapon_hackingdevice.png', unique = true, useable = true, description = 'Weapon Hacking Device' },
houserobbery_bag             = { name = 'houserobbery_bag', label = 'Heist Bag', weight = 500, type = 'item', image = 'houserobbery_bag.png', unique = true, useable = true, shouldClose = true, description = 'Bag for heist' },
houserobbery_tablet          = { name = 'houserobbery_tablet', label = 'House Robbery Tablet', weight = 500, type = 'item', image = 'houserobbery_tablet.png', unique = true, useable = true, shouldClose = true, description = 'House robbery tablet' },

wine                         = { name = 'wine', label = 'Wine', weight = 300, type = 'item', image = 'wine.png', unique = false, useable = true, shouldClose = false, description = 'Some good wine to drink on a fine evening' },
whiskey                      = { name = 'whiskey', label = 'Whiskey', weight = 500, type = 'item', image = 'whiskey.png', unique = false, useable = true, shouldClose = true, description = 'For all the thirsty out there' },
weed_ak47                    = { name = 'weed_ak47', label = 'AK47 2g', weight = 200, type = 'item', image = 'weed_baggy.png', unique = false, useable = true, shouldClose = false, description = 'A weed bag with 2g AK47' },
cokebaggy                    = { name = 'cokebaggy', label = 'Bag of Coke', weight = 0, type = 'item', image = 'cocaine_baggy.png', unique = false, useable = true, shouldClose = true, description = 'To get happy real quick' },
meth                         = { name = 'meth', label = 'Meth', weight = 100, type = 'item', image = 'meth_baggy.png', unique = false, useable = true, shouldClose = true, description = 'A baggie of Meth' },
rolex                        = { name = 'rolex', label = 'Golden Watch', weight = 1500, type = 'item', image = 'rolex.png', unique = false, useable = false, shouldClose = true, description = 'A golden watch seems like the jackpot to me!' },
diamond_ring                 = { name = 'diamond_ring', label = 'Diamond Ring', weight = 1500, type = 'item', image = 'diamond_ring.png', unique = false, useable = false, shouldClose = true, description = 'A diamond ring seems like the jackpot to me!' },
goldchain                    = { name = 'goldchain', label = 'Golden Chain', weight = 1500, type = 'item', image = 'goldchain.png', unique = false, useable = false, shouldClose = true, description = 'A golden chain seems like the jackpot to me!' },
tenkgoldchain                = { name = 'tenkgoldchain', label = '10k Gold Chain', weight = 2000, type = 'item', image = '10kgoldchain.png', unique = false, useable = false, shouldClose = true, description = '10 carat golden chain' },
goldbar                      = { name = 'goldbar', label = 'Gold Bar', weight = 7000, type = 'item', image = 'goldbar.png', unique = false, useable = false, shouldClose = true, description = 'Looks pretty expensive to me' },
iphone                       = { name = 'iphone', label = 'iPhone', weight = 1000, type = 'item', image = 'iphone.png', unique = false, useable = false, shouldClose = true, description = 'Very expensive phone' },
samsungphone                 = { name = 'samsungphone', label = 'Samsung S10', weight = 1000, type = 'item', image = 'samsungphone.png', unique = false, useable = false, shouldClose = true, description = 'Very expensive phone' },
laptop                       = { name = 'laptop', label = 'Laptop', weight = 4000, type = 'item', image = 'laptop.png', unique = false, useable = false, shouldClose = true, description = 'Expensive laptop' },
tablet                       = { name = 'tablet', label = 'Tablet', weight = 2000, type = 'item', image = 'tablet.png', unique = false, useable = false, shouldClose = true, description = 'Expensive tablet' },
smartwatch                   = { name = 'smartwatch', label = 'Smart Watch', weight = 2000, type = 'item', image = 'smartwatch.png', unique = false, useable = false, shouldClose = true, description = 'Expensive smartwatch' },
plastic                      = { name = 'plastic', label = 'Plastic', weight = 100, type = 'item', image = 'smartwatch.png', unique = false, useable = false, shouldClose = true, description = 'A Plastic' },
weed_skunk                   = { name = 'weed_skunk', label = 'Weed Skunk', weight = 100, type = 'item', image = 'weed_skunk.png', unique = false, useable = false, shouldClose = true, description = 'A Weed Skunk' },
cryptostick                  = { name = 'cryptostick', label = 'Cryptostick', weight = 100, type = 'item', image = 'cryptostick.png', unique = false, useable = false, shouldClose = true, description = 'Expensive cryptostick' },
tosti                        = { name = 'tosti', label = 'Tosti', weight = 100, type = 'item', image = 'tosti.png', unique = false, useable = false, shouldClose = true, description = 'A Tosti' },
sandwich                     = { name = 'sandwich', label = 'Sandwich', weight = 100, type = 'item', image = 'sandwich.png', unique = false, useable = false, shouldClose = true, description = 'A Sandwich' },
```

{% endcode %}

#### Durability Blocked Weapons

{% hint style="info" %}
If you are using QBCore ⇒ `qb-weapons/config.lua`
{% endhint %}

```lua
Config.DurabilityBlockedWeapons = {
    ...
    'weapon_hackingdevice',
}
```

#### Weapdraw

{% hint style="info" %}
If you are using QBCore ⇒ `qb-weapons/client/weapdraw.lua`
{% endhint %}

```lua
local weapons = {
    ...
    'WEAPON_HACKINGDEVICE'
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.0resmon.org/0resmon/0resmon-1/0r-resources/0r-house-robbery/required-items.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
